When submitting a payin or payout transaction, there are a number of errors that may result in a transaction failure.
For EFT return codes caused by insufficient funds, see EFT Return Codes.
API Error Codes
The Instant Bank Transfer API uses HTTP response codes to indicate the success or failure of an API request. Examples of issues that cause API errors include authentication failures, malformed JSON, invalid data types and sizes, and missing or invalid Merchant details.
| Code | Description |
|---|---|
| S002 | Country field must be a valid 2-letter country code (ISO 3166). |
| S005 | merchant.merchantId size must be between 1 and 16. |
| S006 | merchant.merchantUserId size must be between 3 and 64. |
| S007 | merchant.merchantTransactionId is missing or invalid. |
| S008 | Date of birth is missing or invalid. |
| S014 | Contact address is missing or invalid. |
| S015 | Contact region is missing or invalid. |
| S016 | Contact city is missing or invalid. |
| S017 | Contact postal or zip code not specified. |
| S018 | Consumer full name is missing or invalid. |
| S019 | Consumer first name is missing or invalid. |
| S020 | Consumer last name is missing or invalid. |
| S022 | Transaction amount must be greater than 1 dollar and less than 1 million dollars (in cents). |
| S023 | Currency code must be a 3-letter currency code (ISO 4217). |
| S025 | Report search condition not specified. |
| S026 | Report query type not specified. |
| S027 | Report output type not specified. |
| S028 | Transaction start time for report not specified. |
| S029 | Transaction end time for report not specified. |
| S031 | Bank token not specified. |
| S032 | Bank routing number is missing or invalid. |
| S033 | Bank account number is missing or invalid. |
| S034 | Bank account type must be PC or PS. |
| S035 | Phone number must be provided and cannot be longer than 64 characters. |
| S036 | Consumer must be SENDER or SENDER_RECEIVER. |
| S037 | Consumer must be RECEIVER or SENDER_RECEIVER. |
| S038 | Consumer's social security or social insurance number must be 4 or 9 digits without separators. |
| S097 | Failed IP validation. |
| S098 | The JSON message is invalid. |
| S099 | [field] is missing or invalid. |
| S10003 | Token is required. |
| S10004 | No longer authorized to access the service. |
| S10005 | Missing required scope. |
| P100 | No gateway merchant mapping found. |
| P106 | Duplicate transaction. |
Interactive Transaction Error Codes
Interactive transaction errors are caused by missing or invalid parameters in the payin request. Note that it's possible for a request parameter to be considered valid by the API gateway, but not valid for a specific product integration. For example, the API gateway requires that a currency parameter value is a valid 3-digit ISO 4217 currency code, such as USD or CAD. However, Instant Bank Transfer requires that the currency parameter value must be CAD. In this case, a parameter value of USD would not cause an API gateway error, but would cause a payin request validation error.
The errors described below indicate a failed interactive payin transaction.
| Code | Description |
|---|---|
| V003 | Invalid merchant account ID. |
| 4 | Transaction amount exceeds the consumer's limit. |
| 7 | Maximum login attempts reached. |
| 9 | The consumer cancels the transaction after bank account verification. |
| 13 | Risk management subsystem rejects the transaction. |
| 14 | Negative information on the identity. |
| 15 | Mismatch with merchant info. |
| 16 | Insufficient funds to cover the transaction. |
| 27 | Consumer abandoned transaction. |
| 98 | Generic error. |
| 99 | Consumer opt-out. |
| 103 | Consumer opted out after unsuccessful login attempt. |
| 105 | Consumer online bank account error (account blocked, password reset, etc.). |
| 106 | Bank website is unavailable. |
| 107 | No valid bank account available. |
| 108 | Invalid token. |
Direct Transaction Error Codes
The errors described below may be included in the notification for a failed direct transaction.
| Code | Description |
|---|---|
| E098 | Generic error. |
| E105 | Consumer online bank account error (account blocked, password reset, etc.). |
| E106 | Bank website is unavailable. |
| E108 | Invalid token. |
| E182 | Transaction amount exceeds the consumer's limit. |
| E202 | Negative information on the identity. |
| E203 | Risk management subsystem rejects the transaction. |
| E205 | Insufficient funds to cover the transaction. |
| E301 | Failed transaction velocity check. |
| E302 | Reauthorization required. |
